@import "../../styles/constans";
@import "../../styles/mixin";

.filterWrapperVisible {
  width: 100%;
  height: 400px;
  overflow: hidden;
  background-color: #F8F8F8;
  transition: .5s ease-in-out;
  margin-bottom: 50px;
}

.filterWrapperHidden {
  width: 100%;
  height: 0px;
  transform: translateY(-10px);
  opacity: 0;
  background-color: #F8F8F8;
  transition: .5s ease-in-out;
}

.filterWrapper {
  display: flex;
  justify-content: flex-start;
  padding: 24px 42px;
  gap: 30px;
  height: 400px;
  overflow: hidden;
  & div {
    width: 234px;
    display: flex;
    flex-direction: column;
    & p {
      font-size: 22px;
      color: #121212;
    }
    & h5 {
      font-size: $title_14\22;
      color: $dark;
      text-transform: uppercase;
      margin-bottom: 15px;
    }
  }
}



// input
.list {
  width: 100%;
  height: 300px;
  overflow: scroll;
  & .label {
    width: 100%;
    height: 50px;
    margin-bottom: 10px;
    position: relative;
    display: flex;
    justify-content: flex-start;
    & .input {
      position: absolute;
      inset: 0;
      width: 100%;
      height: 100px;
      z-index: 1;
      opacity: 0;
      &:checked ~ .value{
        background-color: rgba(154, 150, 150, 0.1);
        transition: .5s;
        padding-left: 15px;
      }
    }
    & .value {
      display: flex;
      flex-direction: row;
      justify-content: flex-start;
      align-items: center;
      gap: 15px;
      padding: 10px 0;
      border-radius: 10px;
      transition: .5s;
      font-size: 18px;
      color: black;

      & p {
        font-size: 18px;
        color: black;

        & i {
          font-size: 18px;
          color: #667680;
        }
      }

      & svg {
        width: 50px;
        height: 40px;
        object-fit: cover;
      }
    }
  }
}

